import React, { FC } from 'react';
import { UserManager, User } from 'oidc-client';
export interface Location {
    search: string;
    hash: string;
}
export interface AuthProviderProps {
    userManager?: UserManager;
    authority?: string;
    clientId?: string;
    redirectUri?: string;
    responseType?: string;
    scope?: string;
    location?: Location;
    autoSignIn?: boolean;
    onSignIn?: (userData: User | null) => Promise<void>;
    onSignOut?: () => Promise<void>;
}
export interface AuthContextProps {
    signIn: () => void;
    signOut: () => void;
    userData?: User | null;
}
export declare const AuthContext: React.Context<AuthContextProps>;
export declare const AuthProvider: FC<AuthProviderProps>;
